com.io7m.r2.core

## Enum R2GeometryBufferComponents

- java.lang.Object
- - java.lang.Enum<R2GeometryBufferComponents>
  - - com.io7m.r2.core.R2GeometryBufferComponents

- All Implemented Interfaces:
    Serializable, Comparable<R2GeometryBufferComponents>

      public enum R2GeometryBufferComponents
      extends Enum<R2GeometryBufferComponents>

  A specification of which components are allocated for a geometry buffer.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `R2_GEOMETRY_BUFFER_FULL` The geometry buffer contains all possible components.
    `R2_GEOMETRY_BUFFER_NO_SPECULAR` The geometry buffer contains no specular components.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2GeometryBufferComponents` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static R2GeometryBufferComponents[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### R2_GEOMETRY_BUFFER_FULL

          public static final R2GeometryBufferComponents R2_GEOMETRY_BUFFER_FULL

      The geometry buffer contains all possible components.

    - #### R2_GEOMETRY_BUFFER_NO_SPECULAR

          public static final R2GeometryBufferComponents R2_GEOMETRY_BUFFER_NO_SPECULAR

      The geometry buffer contains no specular components.

  - ### Method Detail

    - #### values

          public static R2GeometryBufferComponents[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (R2GeometryBufferComponents c : R2GeometryBufferComponents.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static R2GeometryBufferComponents valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com